package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF2DC extends MwfRequest<MWF2DC, MWF2DCResponse> {

    @Parameter(name = "CardInstanceNumber")
    MWF2DC cardInstanceNumber(String cardInstanceNumber);
    @Parameter(name = "CardTokenRequestDate")
    MWF2DC cardTokenRequestDate(java.util.Date cardTokenRequestDate);
    @Parameter(name = "CardTokenRequestStatusFlag")
    MWF2DC cardTokenRequestStatusFlag(String cardTokenRequestStatusFlag);
    @Parameter(name = "CardTokenWalletId")
    MWF2DC cardTokenWalletId(String cardTokenWalletId);
}
